# Concept GraphOverAlphabetConcept
A graph construted over an alphabet.

Defined in |
Signature | ``

## Interface Metafunction Overview

- `Alphabet<T>::Type;`
  Return the Alphabe type of a graph over an alphabet.

## Interface Metafunctions Detail

### `Alphabet<T>::Type;`

Return the Alphabe type of a graph over an alphabet.

#### Template Parameters

`T` | The GraphOverAlphabetConcept type to query.

#### Returns

`Type` | The alphabe type.

#### Examples

    Alphabet<Graph<Automaton<Dna> > >::Type c;  // c is of type Dna

#### Dox Sources

    /*!
     * @concept GraphOverAlphabetConcept
     *
     * @brief A graph construted over an alphabet.
     *
     * @mfn GraphOverAlphabetConcept#Alphabet
     *
     * @brief Return the Alphabe type of a graph over an alphabet.
     *
     * @signature Alphabet<T>::Type;
     *
     * @tparam T The @link GraphOverAlphabetConcept @endlink type to query.
     *
     * @return Type The alphabe type.
     *
     * @section Examples
     *
     * @code{.cpp}
     * Alphabet<Graph<Automaton<Dna> > >::Type c;  // c is of type Dna
     * @endcode
     */